package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description: 运输类型
 * @Author: sui q
 * @Time: 2022/9/15 14:30
 * @Classname: ETransportType
 * @PackageName: com.hzs.common.core.enums
 */
@AllArgsConstructor
@Getter
public enum ETransportType {

    /**
     * 1=陆运，2=空运，3=海运
     */
    LAND(1, "陆运", 0, EnumsPrefixConstants.ENU_TRA + 1),

    /**
     * 空运
     */
    AIR(2, "空运", 0, EnumsPrefixConstants.ENU_TRA + 2),

    /**
     * 海运
     */
    OCEAN(3, "海运", 0, EnumsPrefixConstants.ENU_TRA + 3);

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;


    public static ETransportType getETransportType(int value){
        for (ETransportType eTransportType : ETransportType.values()) {
            if (eTransportType.getValue() == value){
                return eTransportType;
            }
        }
        return null;
    }
}
